Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.dynamics.joints
Class PulleyJoint

    java.lang.Object
      org.jbox2d.dynamics.joints.Joint
          org.jbox2d.dynamics.joints.PulleyJoint

    public class PulleyJoint

extends Joint

Field Summary
`float` | `m_constant`
`float` | `m_force`
`Body` | `m_ground`
`Vec2` | `m_groundAnchor1`
`Vec2` | `m_groundAnchor2`
`float` | `m_limitForce1`
`float` | `m_limitForce2`
`float` | `m_limitMass1`
`float` | `m_limitMass2`
`float` | `m_limitPositionImpulse1`
`float` | `m_limitPositionImpulse2`
`LimitState` | `m_limitState1`
`LimitState` | `m_limitState2`
`Vec2` | `m_localAnchor1`
`Vec2` | `m_localAnchor2`
`float` | `m_maxLength1`
`float` | `m_maxLength2`
`float` | `m_positionImpulse`
`float` | `m_pulleyMass`
`float` | `m_ratio`
`LimitState` | `m_state`
`Vec2` | `m_u1`
`Vec2` | `m_u2`
`static float` | `MIN_PULLEY_LENGTH`

Fields inherited from class org.jbox2d.dynamics.joints.Joint
`m_body1, m_body2, m_collideConnected, m_islandFlag, m_next, m_node1, m_node2, m_prev, m_type, m_userData`

Constructor Summary
`PulleyJoint(PulleyJointDef def)`

Method Summary
`Vec2` | `getAnchor1()` Get the anchor point on body1 in world coordinates.
`Vec2` | `getAnchor2()` Get the anchor point on body2 in world coordinates.
`Vec2` | `getGroundAnchor1()`
`Vec2` | `getGroundAnchor2()`
`float` | `getLength1()`
`float` | `getLength2()`
`float` | `getRatio()`
`Vec2` | `getReactionForce()` Get the reaction force on body2 at the joint anchor.
`float` | `getReactionTorque()` Get the reaction torque on body2.
`void` | `initVelocityConstraints(TimeStep step)`
`boolean` | `solvePositionConstraints()` This returns true if the position errors are within tolerance.
`void` | `solveVelocityConstraints(TimeStep step)`

Methods inherited from class org.jbox2d.dynamics.joints.Joint
`create, destroy, destructor, getBody1, getBody2, getNext, getType, getUserData, initPositionConstraints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN_PULLEY_LENGTH

    public static final float MIN_PULLEY_LENGTH

See Also:
  Constant Field Values

### m_ground

    public Body m_ground

### m_groundAnchor1

    public Vec2 m_groundAnchor1

### m_groundAnchor2

    public Vec2 m_groundAnchor2

### m_localAnchor1

    public Vec2 m_localAnchor1

### m_localAnchor2

    public Vec2 m_localAnchor2

### m_u1

    public Vec2 m_u1

### m_u2

    public Vec2 m_u2

### m_constant

    public float m_constant

### m_ratio

    public float m_ratio

### m_maxLength1

    public float m_maxLength1

### m_maxLength2

    public float m_maxLength2

### m_pulleyMass

    public float m_pulleyMass

### m_limitMass1

    public float m_limitMass1

### m_limitMass2

    public float m_limitMass2

### m_force

    public float m_force

### m_limitForce1

    public float m_limitForce1

### m_limitForce2

    public float m_limitForce2

### m_positionImpulse

    public float m_positionImpulse

### m_limitPositionImpulse1

    public float m_limitPositionImpulse1

### m_limitPositionImpulse2

    public float m_limitPositionImpulse2

### m_state

    public LimitState m_state

### m_limitState1

    public LimitState m_limitState1

### m_limitState2

    public LimitState m_limitState2

Constructor Detail

### PulleyJoint

    public PulleyJoint(PulleyJointDef def)

Method Detail

### initVelocityConstraints

    public void initVelocityConstraints(TimeStep step)

  Specified by:
    `initVelocityConstraints` in class `Joint`

### solveVelocityConstraints

    public void solveVelocityConstraints(TimeStep step)

  Specified by:
    `solveVelocityConstraints` in class `Joint`

### solvePositionConstraints

    public boolean solvePositionConstraints()

  Description copied from class: `Joint`
  This returns true if the position errors are within tolerance.

  Specified by:
    `solvePositionConstraints` in class `Joint`

### getAnchor1

    public Vec2 getAnchor1()

  Description copied from class: `Joint`
  Get the anchor point on body1 in world coordinates.

  Specified by:
    `getAnchor1` in class `Joint`

### getAnchor2

    public Vec2 getAnchor2()

  Description copied from class: `Joint`
  Get the anchor point on body2 in world coordinates.

  Specified by:
    `getAnchor2` in class `Joint`

### getReactionForce

    public Vec2 getReactionForce()

  Description copied from class: `Joint`
  Get the reaction force on body2 at the joint anchor.

  Specified by:
    `getReactionForce` in class `Joint`

### getReactionTorque

    public float getReactionTorque()

  Description copied from class: `Joint`
  Get the reaction torque on body2.

  Specified by:
    `getReactionTorque` in class `Joint`

### getGroundAnchor1

    public Vec2 getGroundAnchor1()

### getGroundAnchor2

    public Vec2 getGroundAnchor2()

### getLength1

    public float getLength1()

### getLength2

    public float getLength2()

### getRatio

    public float getRatio()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD